Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589692 - Seg Fault when parsing the value of external variables
Summary: Seg Fault when parsing the value of external variables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openscap
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 17:35 UTC by Ed Sealing
Modified: 2010-10-05 12:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-05 12:38:58 UTC


Attachments (Terms of Use)
Compressed example of externally referenced variable (deleted)
2010-05-06 17:35 UTC, Ed Sealing
no flags Details
patch to varModel.c (deleted)
2010-05-06 17:37 UTC, Ed Sealing
no flags Details | Diff

Description Ed Sealing 2010-05-06 17:35:45 UTC
Created attachment 412125 [details]
Compressed example of externally referenced variable

Description of problem:
When parsing an external variable file using oval_variable_model_import(), 

Version-Release number of selected component (if applicable):
0.5.9

How reproducible:
Every time

Steps to Reproduce:

   //Import Definition Model
struct oscap_import_source *def_src = oscap_import_source_new_file("test_benchmark/2-16supported-release.xml", NULL);
struct oval_definition_model *def_model = oval_definition_model_new();
oval_definition_model_import(def_model, def_src, NULL);

   //Import Variable Model
struct oscap_import_source *var_src = oscap_import_source_new_file("test_benchmark/STIG_external_variables.xml", NULL);
struct oval_variable_model *var_model = oval_variable_model_new();
oval_variable_model_import(var_model, var_src, NULL);

  
Actual results:
Segmentation Fault

Expected results:
importing correctly

Additional info: See attached sample file.

Comment 1 Ed Sealing 2010-05-06 17:37:23 UTC
Created attachment 412126 [details]
patch to varModel.c

Patch to call xmlTextReaderRead(reader) prior to getting the value

Comment 2 Bug Zapper 2010-07-30 11:33:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.